%define pkg_name        Snowball-Norwegian
%define pkg_version     1.2
%define rpm_pkg_version 1.2
%define rpm_pkg_release 2.n0i.5

Summary:       Norwegian language stemming
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/A/AS/ASKSH/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)

Provides:      perl-Lingua-Stem-Snowball-No  = %{version}
Obsoletes:     perl-Lingua-Stem-Snowball-No <= %{version}


%description
Lingua::Stem::Snowball::No is a perl port of the norwegian
stemmer at http://snowball.tartarus.org.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_mod}
%{fix_perl_path examples/}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}
%{__chmod} a+x $RPM_BUILD_ROOT%{_bindir}/*


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files -b}
%doc Changes examples/ LICENSE README


%changelog
* Sun Sep 23 2007 Marius Feraru <altblue@n0i.net> - 1.2-2.n0i.5
- obsolete old name

* Tue Jun 05 2007 Marius Feraru <altblue@n0i.net> - 1.2-1.n0i.4
- spec file (re)created using N0i::CPAN::RPMizer/1.14.8
- version 1.2

* Sun Jul 24 2005 Marius Feraru <altblue@n0i.net> 1.0-2.n0i.3
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:1.0-1.n0i.2
- automatic rebuild (perl 5.8.6)

* Wed Dec 08 2004 Marius Feraru <altblue@n0i.net> 0:1.0-1.n0i.1
- version 1.0
- spec file (re?)created using N0i::CPAN::RPMizer/2004120601
